*by Jean Roth Wed Jan 24 18:05:34 EST 2001
*Please report errors to jroth@nber.org

* Note:  Variable names in Stata are case-sensitive
#delimit ;
;
*  minsamp:  1979-;
label values minsamp    P2L;
label define P2L
        4           "MIS 4"
        8           "MIS 8"
;
* intmonth:  1979-;
label values intmonth  P4L;
label define P4L
        1           "January"
        2           "February"
        3           "March"
        4           "April"
        5           "May"
        6           "June"
        7           "July"
        8           "August"
        9           "September"
        10          "October"
        11          "November"
        12          "December"
;
* state:  1979-;
label values state    P27L;   
label define P27L    
	11          "ME"                            
	12          "NH"                            
	13          "VT"                            
	14          "MA"                            
	15          "RI"                            
	16          "CT"                            
	21          "NY"                            
	22          "NJ"                            
	23          "PA"                            
	31          "OH"                            
	32          "IN"                            
	33          "IL"                            
	34          "MI"                            
	35          "WI"                            
	41          "MN"                            
	42          "IA"                            
	43          "MO"                            
	44          "ND"                            
	45          "SD"                            
	46          "NE"                            
	47          "KS"                            
	51          "DE"                            
	52          "MD"                            
	53          "DC"                            
	54          "VA"                            
	55          "WV"                            
	56          "NC"                            
	57          "SC"                            
	58          "GA"                            
	59          "FL"                            
	61          "KY"                            
	62          "TN"                            
	63          "AL"                            
	64          "MS"                            
	71          "AR"                            
	72          "LA"                            
	73          "OK"                            
	74          "TX"                            
	81          "MT"                            
	82          "ID"                            
	83          "WY"                            
	84          "CO"                            
	85          "NM"                            
	86          "AZ"                            
	87          "UT"                            
	88          "NV"                            
	91          "WA"                            
	92          "OR"                            
	93          "CA"                            
	94          "AK"                            
	95          "HI"                            
;
* smsastat:  1979-;
label values smsastat P5L;
label define P5L
        1           "Metropolitan"
        2           "Nonmetropolitan"
;
* centcity:  1979-;
label values centcity  P6L;
label define P6L
        1           "Central City"
        2           "Balance Of MSA"
        3           "Non-Metropolitan"
;
* smsa70:  1979-1985:6;
label values smsa70  P66L;
label define P66L
        1           "3 million plus"
        2           "1-3 million"
        3           "Not identifiable"
;
* smsarank:  1979-1985:6;
label values smsarank P280L;   
label define P280L    
	0           "Not listed below"              
	1           "New York City"                 
	2           "Los Angeles"                   
	3           "Chicago"                       
	4           "Philadelphia"                  
	5           "Detroit"                       
	6           "San Francisco-Oakland"         
	7           "Washington D.C."               
	8           "Boston"                        
	9           "Nassau-Suffolk, NY"            
	10          "Pittsburgh"                    
	11          "St. Louis"                     
	12          "Baltimore"                     
	13          "Cleveland"                     
	14          "Houston"                       
	15          "Newark"                        
	16          "Minneapolis-St. Paul"          
	17          "Dallas"                        
	18          "Seattle-Everett"               
	19          "Anaheim-Santa Anna-Garden Grove"
	20          "Milwaukee"                     
	21          "Atlanta"                       
	22          "Cincinnati"                    
	23          "Patterson-Clifton-Passaic"     
	24          "San Diego"                     
	25          "Buffalo"                       
	26          "Miami"                         
	27          "Kansas City"                   
	28          "Denver"                        
	29          "San Bernardino-Riverside-Ontario"
	30          "Indianapolis"                  
	31          "San Jose"                      
	32          "New Orleans"                   
	33          "Tampa-St. Petersburg"          
	34          "Portland"                      
	36          "Columbus, OH"                  
	38          "Rochester"                     
	42          "Sacramento"                    
	44          "Fort Worth"                    
	45          "Birmingham, AL"                
	46          "Albany-Schenectady-Troy"       
	48          "Norfold-Portsmouth, VA"        
	49          "Akron, OH"                     
	53          "Gary-Hammond-East Chicago"     
	57          "Greensboro-Winston-Salem-High Point"
;
* icntcity goes here;
* sex:  1979-;
label values sex    P9L;
label define P9L
        1           "Male"
        2           "Female"
;
* race:  1979-1988;
label values race   P10L;
label define P10L
        1           "White"
        2           "Black"
        3           "Other"
;
* ethnic:  1979-;
label values ethnic P11L;
label define P11L
        1           "Mexican American"
        2           "Chicano"
        3           "Mexican (Mexicano)"
        4           "Puerto Rican"
        5           "Cuban"
        6           "Central Or South American"
        7           "Other Spanish"
        8           "All Other"
        9           "Don't Know"
;
* marital:  1979-;
label values marital P12L;
label define P12L
        1           "Married, Civilian Spouse Present"
        2           "Married, Armed Forces Spouse Present"
        3           "Married, Spouse Absent (exc. Separated)"
        4           "Widowed"
        5           "Divorced"
        6           "Separated"
        7           "Never Married"
;
* chldpres:  1984-1993, 1999:11-;
label values chldpres P30L;
label define P30L
        0           "Not in primary family"
        1           "No children < 18 years old"
        2           "All children 14-17 years old"
        3           "All children 6-13 years old"
        4           "All children 0-5 years old"
        5           "Children 6-17 (no 0-5)"
        6           "Children 0-5 & 14-17 (no 6-13)"
        7           "Children 0-13 (no 14-17)"
        8           "Children from all age groups"
;
* ch05:  1984-1993, 1999:11-;
label values ch05 ch05;
label define ch05
        1           "Yes"
        0           "No"
;
* ch613:  1984-1993, 1999:11-;
label values ch613 ch613;
label define ch613
        1           "Yes"
        0           "No"
;
* ch1417:  1984-1993, 1999:11-;
label values ch1417 ch1417;
label define ch1417
        1           "Yes"
        0           "No"
;
* pfamrel 1984-1993 codes differ from pfamrel 1994-;
* pfamrel:  1984-1993;
label values pfamrel P47L;
label define P47L
        0           "Not in Primary Family"
        1           "Husband"
        2           "Wife"
        3           "Child"
        4           "Other Relative"
        5           "Unmarried Reference Person"
;
* veteran:  1979-;
label values veteran P13L;
label define P13L
        1           "Vietnam Era (8/64-4/75)"
        2           "Korean War (6/50-1/55)"
        3           "World War II (9/40-7/47)"
        4           "World War I (4/17-11/18)"
        5           "Other Service (all Other Periods)"
        6           "Nonveteran"
;
* gradecp:  1979-1991;
label values gradecp    P62L;
label define P62L
        1           "Yes"
        2           "No"
;
* relahh:  1979-1988;
label values relahh    P42L;
label define P42L
        1           "Head with other relatives"
        2           "Head with no other relatives"
        3           "Wife of head"
        4           "Other relative of head"
        5           "Non-relative of head with own relatives (includes wife)"
        6           "Non-relative of head with no own relatives"
;
* paidhr:  1979-;
label values paidhr    P48L;
label define P48L
        1           "Yes"
        2           "No"
;
* paidhre:  1979-;
label values paidhre    P18L;
label define P18L
        1           "Yes"
        2           "No"
;
* I25a:  1979-;
label values I25a P28L;   
label define P28L    
	0           "No Change"             
	1           "Allocated"                
;
* I25b:  1979-;
label values I25b P29L;   
label define P29L    
	0           "No Change"             
	1           "Allocated"                
;
* I25c:  1979-1993;
label values I25c P50L;   
label define P50L    
	0           "No Change"             
	1           "Allocated"                
;
* I25d:  1979-1993;
label values I25d P51L;   
label define P51L    
	0           "No Change"             
	1           "Allocated"                
;
* class:  1979-1993;
label values class P61L;
label define P61L
        1           "Private, Non-Profit or For Profit"
        2           "Government - Federal"
        3           "Government - State"
        4           "Government - Local"
        5           "Self-Employed, Incorporated"
        6           "Self-Employed, Unincorporated"
        7           "Without Pay"
        8           "Never worked or never worked full-time"
;
* classer:  1979-1988;
label values classer P63L;
label define P63L
        1           "Private"
        2           "Government"
        3           "Self-Employed"
        4           "Without Pay"
        5           "Never worked or never worked full-time"
;
* esr:  1979-1988;
label values esr P20L;
label define P20L
        1           "Employed-At Work"
        2           "Employed-Absent"
        3           "Unemployed-Looking"
        4           "Housework"
        5           "School"
        6           "Unable to work/Disabled"
        7           "Other (Includes Retired)"
;
* some ind80 1983-1991 values are different from ind80 1992+ values;
* ind80:  1983-1991;
label values ind80    P36L;   
label define P36L    
	10          "Agricultural production, crops (01)"
	11          "Agricultural production, livestock (02)"
	20          "Agricultural services, except horticultural(07, except 078)[83-91]"
	21          "Horticultural services (078) [83-91]"
	30          "Forestry (08) [83-91]"         
	31          "Fishing, hunting, and trapping (09) [83-91]"
	40          "Metal mining (10)"             
	41          "Coal mining (11, 12)"          
	42          "Crude petroleum and natural gas extraction (13) [83-91]"
	50          "Nonmetallic mining and quarrying, except fuel (14)"
	60          "CONSTRUCTION (15, 16, 17)"     
	100         "Meat products (201)"           
	101         "Dairy products (202)"          
	102         "Canned and preserved fruits and vegetables (203) [83-91]"
	110         "Grain mill products (204)"     
	111         "Bakery products (205)"         
	112         "Sugar and confectionery products (206)"
	120         "Beverage industries (208)"     
	121         "Miscellaneous food preparations & kindred products (207,209)"
	122         "Not specified food industries" 
	130         "Tobacco manufactures (21)"     
	131         "not used"                      
	132         "Knitting mills (225)"          
	140         "Dyeing & finishing textiles, except wool & knit goods (226)"
	141         "Floor coverings, except hard surface (227) [83-91]"
	142         "Yarn, thread, and fabric mills (228, 221-224)"
	150         "Miscellaneous textile mill products (229)"
	151         "Apparel and accessories, except knit (231-238)"
	152         "Miscellaneous fabricated textile products (239)"
	160         "Pulp, paper, and paperboard mills (261-263, 266)"
	161         "Miscellaneous paper and pulp products (264)"
	162         "Paperboard containers and boxes (265)"
	171         "Newspaper publishing and printing (271)"
	172         "Printing, publishing, & allied industries, except newspapers (272-279)"
	180         "Plastics, synthetics, and resins (282)"
	181         "Drugs (283)"                   
	182         "Soaps and cosmetics (284)"     
	190         "Paints, varnishes, and related products (285)"
	191         "Agricultural chemicals (287)"  
	192         "Industrial and miscellaneous chemicals (281, 286, 289)"
	200         "Petroleum refining (291)"      
	201         "Miscellaneous petroleum and coal products (295, 299)"
	210         "Tires and inner tubes (301)"   
	211         "Other rubber products, and plastics footwear and belting (302-304,306)"
	212         "Miscellaneous plastics products (307)"
	220         "Leather tanning and finishing (311)"
	221         "Footwear, except rubber and plastic (313, 314)"
	222         "Leather products, except footwear (315-317, 319)"
	230         "Logging (241)"                 
	231         "Sawmills, planning mills, and millwork (242, 243)"
	232         "Wood buildings and mobile homes (245)"
	241         "Miscellaneous wood products (244, 249)"
	242         "Furniture and fixtures (25)"   
	250         "Glass and glass products (321-323)"
	251         "Cement, concrete, gypsum, and plaster products (324, 327)"
	252         "Structural clay products (325)"
	261         "Pottery and related products (326)"
	262         "Miscellaneous nonmetallic mineral & stone products (328,329)"
	270         "Blast furnaces, steelworks, rolling & finishing mills (331)"
	271         "Iron and steel foundries (332)"
	272         "Primary aluminum industries (3334, part 334, 3353-3355,3361)"
	280         "Other primary metal industries (3331-3333, 3339, part 334,335 1 3356, 3357, 3362, 3369, 339)"
	281         "Cutlery, handtools, and other hardware (342) [83-91]"
	282         "Fabricated structural metal products (344)"
	290         "Screw machine products (345)"  
	291         "Metal forgings and stampings (346)"
	292         "Ordnance (348)"                
	300         "Miscellaneous fabricated metal products (341,343,347,349)"
	301         "Not specified metal industries"
	310         "Engines and turbines (351)"    
	311         "Farm machinery and equipment (352)"
	312         "Construction and material handling machines (353)"
	320         "Metalworking machinery (354)"  
	321         "Office and accounting machines (357, except 3573)"
	322         "Electronic computing equipment (3573) [83-91]"
	331         "Machinery, except electrical, n.e.c. (355, 356, 358, 359)"
	332         "Not specified machinery"       
	340         "Household appliances (363)"    
	341         "Radio, T.V., and communication equipment (365, 366)"
	342         "Electrical machinery, equipment, and supplies, n.e.c. (361, 362, 364, 367, 369)"
	350         "Not specified electrical machinery, equipment, & supplies"
	351         "Motor vehicles and motor vehicle equipment (371)"
	352         "Aircraft and parts (372)"      
	360         "Ship and boat building and repairing (373)"
	361         "Railroad locomotives and equipment (374)"
	362         "Guided missiles, space vehicles, and parts (376)"
	370         "Cycles and miscellaneous transportation equipment (375, 379)"
	371         "Scientific and controlling instruments (381, 382)"
	372         "Optical and health services supplies (383, 384, 385) [83-91]"
	380         "Photographic equipment and supplies (386)"
	381         "Watches, clocks, and clockwork operated devices (387)"
	382         "Not specified professional equipment [83-91]"
	390         "Toys, amusement, and sporting goods (394)"
	391         "Miscellaneous manufacturing industries (39 except 394)"
	392         "Not specified manufacturing industries*"
	400         "Railroads (40)"                
	401         "Bus service and urban transit (41 except 412)"
	402         "Taxicab service (412)"         
	410         "Trucking service (421, 423)"   
	411         "Warehousing and storage (422)" 
	412         "U.S. Postal Service (43)"      
	420         "Water transportation (44)"     
	421         "Air transportation (45)"       
	422         "Pipe lines, except natural gas (46)"
	432         "Services incidental to transportation (47)"
	440         "Radio and television broadcasting (483) [83-91]"
	441         "Telephone, wire and radio (481) [83-91]"
	442         "Telegraph and miscellaneous communication services (482, 489)"
	460         "Electric light and power (491) [83-91]"
        461         "Gas and steam supply systems (492, 496) [83-91]"
	462         "Electric and gas, and other combinations (493) [83-91]"
	470         "Water supply and irrigation (494, 497)"
	471         "Sanitary services (495)"       
	472         "Not specified utilities"       
	500         "Motor vehicles and equipment (501)"
	501         "Furniture and home furnishings (502)"
	502         "Lumber and construction materials (503)"
	510         "Sporting goods, toys, and hobby goods (504) [83-91]"
	511         "Metals and minerals, except petroleum (505)"
	512         "Electrical goods (506)"        
	521         "Hardware, plumbing and heating supplies (507)"
	522         "Not specified electrical and hardware products [83-91]"
	530         "Machinery, equipment, and supplies (508)"
	531         "Scrap and waste materials (5093)"
	532         "Miscellaneous wholesale, durable goods (5094, 5099)"
	540         "Paper and paper products (511)"
	541         "Drugs, chemicals, and allied products (512, 516)"
	542         "Apparel, fabrics, and notions (513)"
	550         "Groceries and related products (514)"
	551         "Farm products - raw materials (515)"
	552         "Petroleum products (517)"      
	560         "Alcoholic beverages (518)"     
	561         "Farm supplies (5191)"          
	562         "Miscellaneous wholesale, nondurable goods (5194, 5198, 5199)"
	571         "Not specified wholesale trade" 
	580         "Lumber and building material retailing (521, 523)"
	581         "Hardware stores (525)"         
	582         "Retail nurseries and garden stores (526)"
	590         "Mobile home dealers (527)"     
	591         "Department stores (531)"       
	592         "Variety stores (533)"          
	600         "Miscellaneous general merchandise stores (539)"
	601         "Grocery stores (541)"          
	602         "Dairy products stores (545)"   
	610         "Retail bakeries (546)"         
	611         "Food stores, n.e.c. (542, 543, 544, 549)"
	612         "Motor vehicle dealers (551, 552)"
	620         "Auto and home supply stores (553)"
	621         "Gasoline service stations (554)"
	622         "Miscellaneous vehicle dealers (555, 556, 557, 559)"
	630         "Apparel and accessory stores, except shoe (56, except 566)[83-91]"
	631         "Shoe stores (566) [83-91]"     
	632         "Furniture and home furnishings stores (571) [83-91]"
	640         "Household appliances, TV, and radio stores (572,573) [83-91]"
	641         "Eating and drinking places (58)"
	642         "Drug stores (591)"             
        650         "Liquor stores (592)"
	651         "Sporting goods, bicycles, and hobby stores (5941,5945,5946)"
	652         "Book and stationery stores (5942, 5943)"
	660         "Jewelry stores (5944)"         
	661         "Sewing, needlework, and piece goods stores (5949) [83-91]"
	662         "Mail order houses (5961) [83-91]"
	670         "Vending machine operators (5962)"
	671         "Direct selling establishments (5963)"
	672         "Fuel and ice dealers (598) [83-91]"
        681         "Retail florists (5992)"
	682         "Miscellaneous retail stores (593,5947,5948,5993,5994,5999)"
	691         "Not specified retail trade"    
	700         "Banking (60)"                  
	701         "Savings and loan associations (612) [83-91]"
	702         "Credit agencies, n.e.c. (61, except 612)"
	710         "Security, commodity brokerage, and investment companies (62,67)"
	711         "Insurance (63, 64)"            
	712         "Real estate, including real estate-insurance-law offices (65,66)[83-91]"
	721         "Advertising (731)"             
	722         "Services to dwellings and other buildings (734)"
	730         "Commercial research, development, and testing labs (7391, 7397) [83-91]"
	731         "Personnel supply services (736)"
        732         "Business management and consulting services (7392) [83-91]" 
	740         "Computer and data processing services (737) [83-91]"
	741         "Detective and protective services (7393) [83-91]"
	742         "Business services, n.e.c.(732,733,735,7394,7395,7396,7399)[83-91]"
	750         "Automotive services, except repair (751, 752, 754) [83-91]"
	751         "Automotive repair shops (753) [83-91]"
	752         "Electrical repair shops (762, 7694)"
        760         "Miscellaneous repair services (763, 764, 7692, 7699)"
	761         "Private households (88)"       
	762         "Hotels and motels (701)"       
	770         "Lodging places, except hotels and motels (702, 703, 704)"
	771         "Laundry, cleaning, and garment services (721)"
	772         "Beauty shops (723)"            
	780         "Barber shops (724)"            
	781         "Funeral service and crematories (726)"
	782         "Shoe repair shops (725)"       
	790         "Dressmaking shops (part 729)"  
	791         "Miscellaneous personal services (722, part 729)"
        800         "Theaters and motion pictures (78, 792)"
	801         "Bowling alleys, billiard and pool parlors (793) [83-91]"
	802         "Miscellaneous entertainment & recreation services (791, 794, 799) [83-91]"
	812         "Offices of physicians (801, 803) [83-91]"
	820         "Offices of dentists (802) [83-91]"
	821         "Offices of chiropractors (8041) [83-91]"
	822         "Offices of optometrists (8042) [83-91]"
	830         "Offices of health practitioners, n.e.c. (8049) [83-91]"
	831         "Hospitals (806)"               
	832         "Nursing and personal care facilities (805)"
	840         "Health services, n.e.c. (807, 808, 809)"
	841         "Legal services (81)"           
	842         "Elementary and secondary schools (821)"
	850         "Colleges and universities (822)"
	851         "Business, trade, and vocational schools (824) [83-91]"
	852         "Libraries (823)"               
	860         "Educational services, n.e.c. (829)"
	861         "Job training and vocational rehabilitation services (833)"
	862         "Child day care services (835)" 
	870         "Residential care facilities, without nursing (836)"
	871         "Social services, n.e.c. (832, 839)"
	872         "Museums, art galleries, and zoos (84)"
	880         "Religious organizations (866)" 
	881         "Membership organizations (861-865, 869) [83-91]"
	882         "Engineering, architectural, and surveying services (891)"
	890         "Accounting, auditing, and bookkeeping services (893)"
        891         "Noncommercial educational and scientific research (892) [83-91]"
	892         "Miscellaneous professional and related services (899) [83-91]"
	900         "Executive and legislative offices (911-913)"
	901         "General government, n.e.c. (919)"
        910         "Justice, public order, and safety (92)"
	921         "Public finance, taxation, and monetary policy (93)"
	922         "Administration of human resources programs (94)"
	930         "Administration of environmental quality & housing programs (95)"
	931         "Administration ofeconomic programs (96)"
	932         "National securityand international affairs (97)"
	991         "Assigned to persons whose labor force status is unemployed and whose last job was Armed Forces"
	992         "Assigned to persons whose labor force status is unemployed"
;
*dind:  1979-;
label values dind     P37L;   
label define P37L    
	1           "Agriculture Service"           
	2           "Other Agriculture"             
	3           "Mining"                        
	4           "Construction"                  
	5           "Lumber and wood products , except furniture"
	6           "Furniture and fixtures"        
	7           "Stone clay ,glass and concrete product"
	8           "Primary metals"                
	9           "Fabricated metal"              
	10          "Not specified metal industries"
	11          "Machinery, except electrical"  
	12          "Electrical Machinery, equipment ,and supplies"
	13          "Motor vehicles and equipment"  
	14          "Aircrafts and parts"           
	15          "Other transportation equipment"
	16          "Professional and photographic equipment"
	17          "Toys, amusements ,and sporting goods"
	18          "Miscellaneous and not specified manufacturing industries"
	19          "Food and kindred products"     
	20          "Tobacco manufactures"          
	21          "Textile mill products"         
	22          "Apparel and other finished textile prod."
	23          "Paper and allied products"
	24          "Printing ,publishing and allied industries"
	25          "Chemicals and allied products" 
	26          "Petroleum and coal products"   
	27          "Rubber and miscellaneous plastics products"
	28          "Leather and leather products"  
	29          "Transportation"                
	30          "Communications"                
	31          "Utilities and Sanitary Services"
	32          "Wholesale Trade"               
	33          "Retail Trade"                  
	34          "Banking and Other Finance"     
	35          "Insurance and Real Estate"     
	36          "Private Household Services"    
	37          "Business Services"             
	38          "Repair Services"               
	39          "Personal Services , Except Private Household"
	40          "Entertainment and Recreation Services"
	41          "Hospitals"                     
	42          "Health Services , Except Hospitals"
	43          "Educational Services"          
	44          "Social Services"               
	45          "Other professional Services"   
	46          "Forestry and Fisheries"        
	51          "Armed Forces last job, currently unemployed"
	52          "Public Administration"         
;
* occ80:  1983-;
* occ80 is has too many characters for Stata 6 to accept;
* if using Stata 7, do d:\sources\occ80_83_91 ;
* docc80:  1983-;
label values docc80   P40L;   
label define P40L    
	1           "Officials & administrators, pub. admin."
	2           "Other executive, admin. & managerial"
	3           "Management related occupations"
	4           "Engineers"                     
	5           "Mathematical and computer scientists"
	6           "Natural Scientists"            
	7           "Health diagnosing occs."       
	8           "Health assessment and treatment occs."
	9           "Teachers, college and university"
	10          "Teachers, except college and university"
	11          "Lawyers and judges"            
	12          "Other professional specialty occs."
	13          "Health technologists and technicians"
	14          "Engineering and science technicians"
	15          "Technicians, exc. health,engin.&science"
	16          "Supervisors and proprietors, sales occs"
	17          "Sales reps, finance and business serv."
	18          "Sales reps, commodities, exc. retail"
	19          "Sales workers, retail & personal serv."
	20          "Sales related occs"            
	21          "Supervisors, admin. support"   
	22          "Computer equipment operators"  
	23          "Secretaries, stenographers, and typists"
	24          "Financial records processing"  
	25          "Mail and message distributing" 
	26          "Other admin support, inc. clerical"
	27          "Private household service occs"
	28          "Protective service"            
	29          "Food service"                  
	30          "Health service"                
	31          "Cleaning and building service" 
	32          "Personal service"              
	33          "Mechanics and repairers"       
	34          "Construction trades"           
	35          "Other precision prod., craft, & repair"
	36          "Machine opertrs and tenders,exc precis."
	37          "Fabricatrs,assemblrs,inspectrs,samplrs"
	38          "Motor vehicle operators"       
	39          "Other transp. & material moving occs"
	40          "Construction laborers"         
	41          "Freight, stock & materials handlers"
	42          "Oth handlrs,equip.cleanrs,helprs,labrrs"
	43          "Farm operators and managers"   
	44          "Farm workers and related occupations"
	45          "Forestry and fishing occs"     
	46          "Armed forces"                  
;
* eligible:  1979:5-;
label values eligible  P21L;
label define P21L
        1           "Earnings Eligible For Edit"
        2           "Other" 
;
* some activlwr 1979-1988 codes differ from 1989-1993 activlwr;
* activlwr:  1979-1988; 
label values activlwr  P53L;
label define P53L
        1           "Working"
        2           "With a job"
        3           "Looking for Work"
        4           "Keeping House"
        5           "At School"
        6           "Unable to Work"
        7           "Retired"
        8           "Other"
;
* some doinglw 1979-1988 codes differ from 1989-1993 doinglw;
* doinglw:  1989-1993; 
label values doinglw  P54L;
label define P54L
        1           "Working"
        2           "With a job"
        3           "Looking for Work"
        4           "Keeping House"
        5           "At School"
        6           "Unable to Work"
        7           "Other/Retired"
;
* uhours35  1979-1993;
label values uhours35  P55L;
label define P55L
        1           "Yes"
        2           "No"
;
* reasonlw:  1979-1993; 
label values reasonlw  P56L;
label define P56L
        1           "Slack Work/Business Conditions"
        2           "Material shortage"
        3           "Plant or machine repair"
        4           "New job started during week"
        5           "Job terminated during week"
        6           "Could only find part-time work"
        7           "Holiday"
        8           "Labor Dispute"
        9           "Bad weather"
        10          "Own illness"
        11          "On vacation"
        12          "Too busy with school, house"
        13          "Did not want full-time work"
        14          "Full time work week is < 35 hours"
        15          "Other"
;
* absentlw:  1979-1993;
label values absentlw P57L;
label define P57L
        1           "Own illness"
        2           "On vacation"
        3           "Weather Affected Job"
        4           "Labor Dispute"
        5           "New job to begin within 30 days"
        6           "Temporary layoff (under 30 days)"
        7           "Indefinite layoff (30 days or more)"
        8           "Other"
;
*why35lw:  1979-1993;
label values why35lw  P58L;   
label define P58L    
	1           "Usu. FT-Slack Work/Business Conditions"
	2           "Material shortage"
	3           "Plant or machine repair"
	4           "New Job Started Last Week"
	5           "Job Terminated During Week"
	6           "Could only find part-time work"
	7           "Holiday"   
	8           "Labor Dispute"
	9           "Bad weather"         
	10          "Own illness"  
	11          "On vacation"       
	12          "Too busy with house, school, etc."   
	13          "Did not want full-time work"          
	14          "Full-time work week under 35 hours"
	15          "Other"
;
* ftpt79:  1979-1988;
label values ftpt79 P59L;
label define P59L
        0           "Not In Labor Force"
        1           "Employed full-time"
        2           "Part-time For Economic Reasons"
        3           "Unemployed FT"
        4           "Employed PT"
        5           "Unemployed PT"
;
* ptstat:  1979-1988;
label values ptstat  P65L;
label define P65L
        0           "All other"
        5           "Voluntary part-time workers"
        6           "Part-time for economic reasons"
;
* studftpt:  1984-;
label values studftpt  P24L;
label define P24L
        1           "Full-time"
        2           "Part-time"
;
* unionmm:  1984-1993; 
label values unionmm P60L;
label define P60L
        1           "Yes"
        2           "No"
;
* unionmme:  1983-; 
label values unionmme P25L;
label define P25L
        1           "Yes"
        2           "No"
;
* unioncov:  1983-;
label values unioncov P26L;
label define P26L
        1           "Yes"
        2           "No"
;
* hrhtype:  1984-;
label values hrhtype hrhtype;
label define hrhtype
      0            "Non-interview household"
      1            "Husband/wife primary fam (neither in Armed Forces)"
      2            "Husband/wife primary fam (one/both in Armed Forces)"
      3            "Unmarried civilian male primary fam householder"
      4            "Unmarried civilian female primary fam householder"
      5            "Unmarried primary fam householder in Armed Forces"
      6            "Civilian male primary individual"
      7            "Civilian female primary individual"
      8            "Primary ind HH - reference person in Armed Forces"
      9            "Group quarters"
;
** prunecat 1979-1988 ;
label values prunecat  prunecat;
label define prunecat
        0           "Not unemployed"
        1           "Less than 5 weeks"
        2           "5 and 6 weeks"
        3           "7 and 10 weeks"
        4           "11 and 14 weeks"
        5           "15 and 26 weeks"
        6           "27 and 39 weeks"
        7           "40 and 51 weeks"
        8           "52 weeks and over"
;
